pro plot1
;
; Program plots Sigma-Z "Free-Edge" stress profiles along Z/H
; at Y/B=0.9961 thru the zero-degree & 90-degree plies from the 
; top surface to the midplane of a [0/90]s bi-directional 
; laminate for a mechanical out-of-plane strain load (MECH) and 
; temperature change (THERM). 
;
;       File data1.dat created by savgedge090.f  
;       Results saved to sigz_zh_edge090.gif
;
;  Program written by RD.Kriz, 19Sept00
;
status=DC_READ_FIXED('data1.dat',rows,Format='(E11.4)',/Column)
numr=size(rows)
numberr=numr(1)
openr,1,'data1.dat'
aa=fltarr(2) & bb=fltarr(2)
data=fltarr(numberr)
datc=fltarr(numberr)
datd=fltarr(numberr)
;
datline=fltarr(2)
dat1=fltarr(2)
    dat1(*)=1.0/2.0
;
datx=fltarr(2)
zero=fltarr(2)
;
for i=1,numberr do begin
 readf,1,dataa,datcc,datdd
data(i-1)=dataa
datc(i-1)=datcc
datd(i-1)=datdd
endfor
aa(0)=max(datc) & aa(1)=max(datd)
max=max(aa)
bb(0)=min(datc) & bb(1)=min(datd)
min=min(bb)
datline(0)=min & datline(1)=max
datx(0)=data(0) & datx(1)=data(numberr-1)
zero(0)=0.0 & zero(1)=0.0
print,data,datc,datd
set_plot,'pm'
!P.Background=254
!X.Range=[min,max]
!Y.Range=[data(numberr-1),data(0)]
!P.Charsize=1.4
!P.Position(*)=0
 !P.Position(0)=110
 !P.Position(1)=50
 !P.Position(2)=580
 !P.Position(3)=450
TEK_COLOR
openzbuff,640,480
plot,zero,datx,Color=0,/DEVICE,/NOCLIP,$
Title='Debond Stress, Sigma-Z, Thru a [0/90]s Laminate at Y/B=0.9961',$
Xtitle='Sigma-Z,  lb/in**2',$
Ytitle='Z/H'
oplot,datline,dat1,Color=0
print,'Position Coord.s',!P.Position
oplot,datc,data,Psym=-2,Color=2
oplot,datd,data,Psym=-4,Color=5
closezbuff,'sigz_zh_edge090.gif'
close,1
return
end
